summaryrefslogtreecommitdiff
path: root/tests/du
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2014-06-19 12:11:00 +0100
committerPádraig Brady <P@draigBrady.com>2014-06-24 14:39:34 +0100
commitb7bb499496ff306d87a07ffd68c034f29b97bc37 (patch)
treee6621e0f9e4bcef9413c9fed54d9c82087456d00 /tests/du
parent6635f0b0f71f68ab4e9108091bc6049ddb143648 (diff)
downloadcoreutils-b7bb499496ff306d87a07ffd68c034f29b97bc37.tar.xz
du: ignore directory cycles due to bind mounts
* src/du.c (process_file): Treat cycles due to bind mounts like cycles due to following symlinks. * tests/du/bind-mount-dir-cycle.sh: Adjust accordingly. * NEWS: Mention the change in behavior. Reported at http://bugzilla.redhat.com/836557
Diffstat (limited to 'tests/du')
-rwxr-xr-xtests/du/bind-mount-dir-cycle.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/du/bind-mount-dir-cycle.sh b/tests/du/bind-mount-dir-cycle.sh
index 4fef345cd..ac6bf2e24 100755
--- a/tests/du/bind-mount-dir-cycle.sh
+++ b/tests/du/bind-mount-dir-cycle.sh
@@ -27,12 +27,11 @@ mount --bind a a/b \
|| skip_ "This test requires mount with a working --bind option."
echo a > exp || framework_failure_
-echo "du: mount point 'a/b' already traversed" > exp-err || framework_failure_
-du a > out 2> err && fail=1
+du a > out 2> err || fail=1
sed 's/^[0-9][0-9]* //' out > k && mv k out
-compare exp-err err || fail=1
+compare /dev/null err || fail=1
compare exp out || fail=1
Exit $fail